Abonnent hinzufügen

POST /api/v1/subscribers

Der Migrationsweg, um eine bestehende Liste nach FireStatus zu übernehmen. Legt einen BESTÄTIGTEN Eintrag ohne Double-Opt-in an und verlangt deshalb eine ausdrückliche Einwilligungs-Bestätigung. Für einen Eintrag MIT Double-Opt-in das öffentliche Abonnement-Formular nutzen.

Erforderliche Berechtigung

subscribers.manage Abonnenten verwalten

Body Parameter (application/json)

Name Format Beschreibung Optional
email string
locale string
subscribe_all_components boolean
component_ids string JSON-Array von Komponenten-IDs.
acknowledge_consent boolean Muss true sein. Bestätigt, dass die Einwilligung dieser Person vorliegt; der Eintrag wird ohne Double-Opt-in als bestätigt angelegt.

Response (application/json)

{1 Eigenschaft
  "data": {9 Eigenschaften
    "id": 88,
    "email_masked": "an***@example.com",
    "locale": "de",
    "channel": "email",
    "confirmed": true,
    "confirmed_at": "2026-07-27T14:00:00Z",
    "subscribe_all_components": false,
    "component_ids": [2 Elemente
      3,
      4
    ],
    "created_at": "2026-07-27T14:00:00Z"
  }
}
{1 Eigenschaft
  "message": "This address is already subscribed."
}
{2 Eigenschaften
  "message": "Set acknowledge_consent to true to confirm you have this person's consent. This endpoint creates a confirmed subscriber without double opt-in.",
  "errors": {1 Eigenschaft
    "acknowledge_consent": [1 Element
      "Set acknowledge_consent to true to confirm you have this person's consent. This endpoint creates a confirmed subscriber without double opt-in."
    ]
  }
}

cURL

curl -X POST 'https://status.example.com/api/v1/subscribers' \
  -H 'Authorization: Bearer fs_YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"email":"VALUE","locale":"VALUE","subscribe_all_components":"VALUE","component_ids":"VALUE","acknowledge_consent":"VALUE"}'